#
# spec file for package tlf
#

Name:           tlf
Version:        1.4.1
Release:        lp152.1.1
Summary:        Contest logging program
License:        GPL-2.0
Group:          Productivity/Hamradio/Logging
Url:            https://tlf.github.io/index2.html
Source:         tlf-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  hamlib-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkg-config
%if 0%{suse_version} == 1315 || 0%{suse_version} > 1320
BuildRequires:  xmlrpc-c-devel
%endif

%description
TLF is a curses based console mode general logging and contest program for
amateur radio.
It supports the CQWW, the WPX, the ARRL-DX, the ARRL-FD, the PACC and the EU
SPRINT shortwave contests (single operator) as well as a LOT MORE basic
contests, general QSO and DXpedition mode.

%prep
%setup -q

%build
autoreconf --force --install
%if 0%{suse_version} == 1315 || 0%{suse_version} > 1320
%configure --enable-hamlib --enable-fldigi-xmlrpc
%else
%configure --enable-hamlib
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/*
%{_datadir}/tlf
%{_datadir}/doc/tlf
%{_mandir}/man1/*

%changelog
* Mon Apr  5 2021 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 1.4.1
* Sat Nov 16 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 1.4.0
* Fri Dec  9 2016 dl8fcl@darc.de
- update to version 1.2.4.5
* Fri Nov 25 2016 dl8fcl@darc.de
- update to version 1.2.4.4
* Sun Sep 25 2016 dl8fcl@darc.de
- update to version 1.2.4.3
* Sat Apr 30 2016 dl8fcl@t-online.de
- Fldigi support for reading the audio frequency via xmlrpc enabled
  for Leap 42.1 and Tumbleweed
* Sat Apr 30 2016 dl8fcl@t-online.de
- update to version 1.2.4.1
  see ChangeLog
* Sat Jan 16 2016 dl8fcl@t-online.de
- update to version 1.2.3
  see ChangeLog
* Mon Nov  9 2015 dl8fcl@darc.de
- update to version 1.2.2
  see ChangeLog
* Sat Oct  4 2008 dl9pf@gmx.de
- fix for factory
- tlf_src_makeloglinc_c__fix_bufferoverflow.diff
- tlf_src_addcall_c__fix_bufferoverflowstrncat.diff
- bump to 0.9.31
* Fri Feb 23 2007 dg7gt@online.de
- added Patch for DESTDIR
- imported into openSUSE BuildService
* Sun Dec 17 2006 dg7gt@online.de
- initial spec file for openSUSE 10.2
- TLF version 0.9.30
